Subject: bug#57880: 28.1; Emacs crashes with native compilation on when some antivirus program is running on MS-Windows

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Sep 2022 09:38:31 +0300

> Cc: [email-masked]
> From: Andrea Corallo <[email-masked]>
> Date: Wed, 21 Sep 2022 19:26:08 +0000
> 
> Okay, I think then is a good idea to guard against the NULL pointer
> potentially returned, OTOH we do it already in the rest of the code.
> 
> I'm only not sure if we should signal an error or not here.

No, we shouldn't, IMO.  We should just behave as if the *.eln files
were unavailable, perhaps with some message logged in *Messages*.
Signaling an error would be shooting the user in his/her foot, because
loading of *.eln files is attempted as part of routine operation, so
signaling an error will prevent the user from being able to invoke
many commands.